ar1p_matrix(scan('../datasets/ar1p.sdf'),byrow=T,ncol=4)
ar1n_matrix(scan('../datasets/ar1n.sdf'),byrow=T,ncol=4)
ma1_matrix(scan('../datasets/ma1.sdf'),byrow=T,ncol=5)
ma_matrix(scan('../datasets/ma2-4.sdf'),byrow=T,ncol=4)
ps.options(horizontal=F, width=4.4, height=4.8, reset=T)
postscript("Fig24.ps", onefile=F, print=F)
par(mfrow = c(2, 2),mar=c(3,2,2,1)+0.1, cex=0.8)
par(mex=0.5,csi=0.11, mgp = c(1.4, 0.6, 0))
plot(ar1p[,1],ar1p[,2], xlab='', type='l', lty=1, main='(a)  AR(1) (b>0)')
lines(ar1p[,1],ar1p[,3], lty=2)
lines(ar1p[,1],ar1p[,4],lty=3)
plot(ar1n[,1],ar1n[,2], xlab='', type='l', lty=1, main='(b)  AR(1) (b<0)')
lines(ar1n[,1],ar1n[,3], lty=2)
lines(ar1n[,1],ar1n[,4],lty=3)
plot(ma1[,1],ma1[,2], xlab='', type='l', lty=1, main='(c)  MA(1)')
lines(ma1[,1],ma1[,3], lty=2)
lines(ma1[,1],ma1[,4], lty=3)
lines(ma1[,1],ma1[,5], lty=4)
plot(ma[,1],ma[,4], xlab='', type='l', lty=1, main='(d)  MA(q) (q=2,3,4)')
lines(ma[,1],ma[,3], lty=2)
lines(ma[,1],ma[,2], lty=3)
dev.off()

